import org.apache.tinkerpop.gremlin.driver.Settings

___settings = Settings.read(new FileInputStream("conf/remote.yaml"))
___file = new File((String) System.getProperty("user.home") + File.separator + '.cassandra/gremlinshrc')
if (___file.exists()) {
    ___file.eachLine { line ->
        if (line.startsWith("username")) {
            ___settings.username = line.split("=")[1].trim()
        } else if (line.startsWith("password")) {
            ___settings.password = line.split("=")[1].trim()
        }
    }
}
if (args.size() > 0) {
    for (def ix = 0; ix < args.size(); ix++) {
        if (args[ix] == "-u") {
            ___settings.username = args[++ix]
        } else if (args[ix] == "-p") {
            ___settings.password = args[++ix]
        } else if (args[ix].contains(":")) {
            def ___hostport = args[ix].split(":")
            if (___hostport.size() > 0) ___settings.hosts = [___hostport[0]]
            if (___hostport.size() > 1) ___settings.port = Integer.parseInt(___hostport[1])
        } else {
            ___settings.hosts = [args[ix]]
        }
    }
}
___cluster = Cluster.getBuilderFromSettings(___settings).create()
:remote connect tinkerpop.server ___cluster session-managed
:remote config timeout max
:remote console
[] // forces the creation of a session on the server and will make the warning "There was no session named X to close" go away
